@import url('https://fonts.googleapis.com/css2?family=Playfair+Display:ital,wght@0,400..900;1,400..900&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Roboto:ital,wght@0,100..900;1,100..900&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: "Poppins", sans-serif;
    background-color: #f8f9fa;
    color: #333;
}

a {
    text-decoration: none !important;
    color: inherit;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-family: "Roboto", sans-serif;
}

.navbar i {
    color: #cb617c;
}

.offcanvas-start {
    top: 0;
    left: 0;
    width: 240px !important;
    border-right: 1px solid rgba(0, 0, 0, .2);
    transform: translateX(-100%);
}

.carousel-overlay {
    position: relative;
}

.carousel-overlay::after {
    content: "";
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 40%;
    background: linear-gradient(0deg, rgba(0, 0, 0, 0.3), transparent);
}

.carousel-overlay img {
    width: 100%;
    display: block;
    position: relative;
    z-index: 0;
}

.carousel-indicators {
    bottom: -15px !important;
}


.carousel-indicators [data-bs-target] {
    width: 5px !important;
    height: 5px !important;
    border-radius: 50% !important;
}

.category_item .category_img {
    border-radius: 50%;
    background: #FFF1F6;
    border: 1px solid #eba7c0;
    overflow: hidden;
    margin: auto;
}

.category_item h3 {
    font-size: 12px;
    font-weight: 400;
    color: #000;
    margin-top: 10px;
    margin-bottom: 0;
}

.category_img {
    display: flex;
    align-items: center;
}

.category_img {
    width: 45px;
    min-width: 45px;
    height: 45px;
}

.add_section {
    background-image: url('../img/add_bg.png');
    background-position: center;
    background-size: cover;
    height: 90px;
    overflow: hidden;
}

.offer-content h2 {
    font-size: 36px;
    margin-bottom: 10px;
    color: #ffffff;
}

.offer-content p {
    font-size: 18px;
    margin-bottom: 20px;
    color: #ffffff;
}

.timer {
    font-size: 18px;
    font-weight: bold;
    margin-bottom: 10px;
    color: #ffffff;
    padding: 3px
}

.btn-offer {
    background-color: white;
    color: #000000;
    padding: 8px 16px;
    border-radius: 30px;
    text-decoration: none;
    font-weight: bold;
    transition: 0.3s;
}

.btn-offer:hover {
    background-color: #fff3f3;
    color: #000;
}

.Most_Popular h6 {
    color: #612657;
    font-size: 18px;
}

.Most_Popular a {
    color: #626262;
    text-decoration: none;
    font-size: 18px;
}

.Most_Popular i {
    font-size: 13px;
}

.owl-carousel .item {
    background: #fff;
    padding: 0px;
    margin: 10px;
    border-radius: 8px;
    box-shadow: 0 0 8px rgba(0, 0, 0, 0.1);
    text-align: center;
}

.owl-carousel .item img {
    height: 230px;
    width: 100%;
    object-fit: cover;
    border-radius: 6px;
}

.Most_Popular h5 {
    color: #141619;
    font-size: 14px;
    padding-top: 5px;
    text-align: start;
    padding-left: 10px;
}

.Most_Popular p {
    text-align: start;
    color: #000;
    padding-left: 10px;
}

.Most_Popular span {
    color: #6a6a6a;
    text-decoration: line-through;
    font-size: 12px;
}

.owl-theme .owl-nav {
    display: none !important;
}

.shop_cart-img img {
    border-radius: 8px 8px 0 0;
}

.Popular_product_bottom h5 {
    font-size: 14px;
    color: #777777;
    margin-top: 10px;
}

.shop_cart {
    text-align: center !important;
}

.Popular_product_bottom p {
    font-size: 14px;
    color: #494949;
    font-weight: bold;
}

.Popular_item h6 {
    color: #612657;
    font-size: 18px;
}

.Popular_item a {
    color: #626262;
    text-decoration: none;
    font-size: 18px;
}

.Popular_item i {
    font-size: 13px;
}

.product-img {
    width: 80px;
}

.cart-btn {
    background: #efdcdf;
    padding: 10px 15px;
    border: 1px solid #ebd8db;
    border-radius: 50%;
}

.cart-btn i {
    color: #cb617c;
}

.bottom-nav {
    position: fixed;
    bottom: 0%;
    left: 0%;
    width: 100%;
    padding: 5px;
    background: #fff;
    box-shadow: 0 -2px 10px rgba(0, 0, 0, 0.1);
    z-index: 1000;
}

.bottom-nav i {
    color: #cb617c;
}

.bottom-nav a {
    color: #612657;
    font-size: 14px;
    font-weight: 400 !important;

}



/* Search icon */
.search-icon-btn {
    font-size: 20px;
    color: #333;
    background: none;
    border: none;
    cursor: pointer;
}

/* Modal */
.search-popup-modal {
    display: none;
    position: fixed;
    z-index: 9999;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.6);
}

.search-popup-content {
    background: #fff;
    margin: 10% auto;
    padding: 20px;
    border-radius: 10px;
    width: 90%;
    max-width: 400px;
    position: relative;
}

.close-btn {
    position: absolute;
    top: 12px;
    right: 15px;
    font-size: 24px;
    cursor: pointer;
    color: #999;
}

#searchInput {
    width: 100%;
    padding: 10px 15px;
    border: 1px solid #ccc;
    border-radius: 30px;
    font-size: 16px;
    outline: none;
    margin-top: 20px;
}

#suggestions {
    margin-top: 10px;
    max-height: 250px;
    overflow-y: auto;
    display: none;
}

#suggestions li {
    display: flex;
    align-items: center;
    padding: 10px;
    border-bottom: 1px solid #eee;
    list-style: none;
    cursor: pointer;
    transition: background 0.2s ease;
}

#suggestions li:hover {
    background-color: #f1f1f1;
}

.product-img {
    width: 40px;
    height: 40px;
    object-fit: cover;
    border-radius: 6px;
    margin-right: 10px;
}

.product-name {
    font-size: 15px;
    color: #333;
}


.dz-category-card.card-light {
    color: #fff;
}

.dz-category-card {
    position: relative;
    border-radius: var(--border-radius);
    overflow: hidden;
}

.dz-category-card .banner-bg {
    position: absolute;
    background-size: cover;
    background-position: center;
    height: 100%;
    width: 100%;
    z-index: -1;
    border-radius: 10px;
}

.dz-category-card.style-2 .category-content {
    width: 60%;
    margin-left: auto;
}

.dz-category-card .category-content {
    padding: 20px 15px;
    height: 160px;
    display: flex;
    flex-direction: column;
    width: 50%;
}

.cart-badge {
    position: absolute;
    top: -5px;
    right: -10px;
    background-color: #ec4899;
    color: white;
    font-size: 10px;
    padding: 2px 6px;
    border-radius: 50%;
    font-weight: bold;
}

.cart-item {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px;
    border-bottom: 1px solid #eee;
}

.cart-item-name {
    font-weight: 500;
    font-size: 14px;
}

.cart-item-qty {
    font-size: 13px;
    color: #666;
}

.cart-total {
    font-weight: 600;
    font-size: 16px;
    text-align: right;
    padding: 10px 15px 0;
}

.modal-footer .checkout-btn {
    background: #ec4899;
    color: white;
    font-weight: bold;
}


.sidebar-nav .nav-link {
    font-size: 16px;
    font-weight: 500;
    color: #333;
    padding: 12px 10px;
    display: flex;
    align-items: center;
    border-radius: 8px;
    transition: all 0.2s ease-in-out;
}

.sidebar-nav .nav-link:hover {
    background-color: #f1f1f1;
    color: #ec4899;
    padding-left: 14px;
}

.sidebar-nav i {
    color: #ec4899;
}

.offcanvas .text-center img {
    border: 2px solid #ec4899;
}

.auth-card {
    background: #fff;
    border-radius: 20px;
    box-shadow: 0 10px 40px rgba(0, 0, 0, 0.1);
    padding: 40px 30px;
    width: 100%;
    max-width: 400px;
}

.auth-card h2 {
    text-align: center;
    margin-bottom: 15px;
    font-weight: bold;
    color: #2b2b2b;
}

.auth-card p {
    text-align: center;
    font-size: 14px;
    color: #666;
    margin-bottom: 25px;
}

.form-control {
    border-radius: 12px;
    padding: 12px;
    font-size: 15px;
}

.btn-auth {
    background: linear-gradient(to right, #ec407a, #ab47bc);
    border: none;
    padding: 12px;
    font-weight: 600;
    font-size: 16px;
    border-radius: 12px;
    transition: 0.3s;
    color: #fff;
}

.btn-auth:hover {
    opacity: 0.9;
    color: #fff !important;
}

.extra-links {
    font-size: 14px;
    text-align: center;
    margin-top: 20px;
}

.extra-links a {
    text-decoration: none;
    color: #ab47bc;
}

.extra-links a:hover {
    text-decoration: underline;
    
}

.forgot-card {
    background: #fff;
    border-radius: 20px;
    box-shadow: 0 10px 40px rgba(0, 0, 0, 0.1);
    padding: 40px 30px;
    width: 100%;
    max-width: 400px;
}

.forgot-card h2 {
    text-align: center;
    margin-bottom: 15px;
    font-weight: bold;
    color: #2b2b2b;
}

.forgot-card p {
    text-align: center;
    font-size: 14px;
    color: #666;
    margin-bottom: 25px;
}

.form-control {
    border-radius: 12px;
    padding: 12px;
    font-size: 15px;
}

.btn-reset {
    background: linear-gradient(to right, #ec407a, #ab47bc);
    border: none;
    padding: 12px;
    font-weight: 600;
    font-size: 16px;
    border-radius: 12px;
    transition: 0.3s;
    color: #fff;
}

.btn-reset:hover {
    opacity: 0.9;
    color: #fff !important;
}

.settings-item i{
    color: #cb617c;
}

.btn-primary {
    background-color: #fe4487 !important;
    border-color: #fe4487 !important;
}

.btn-secondary {
     background-color: #612657 !important;
     border-color: #612657 !important;
}